import request from '@/utils/request'

// 查询好友管理列表
export function listUserContacts(query) {
    return request({
        url: '/service/userContacts/list',
        method: 'get',
        params: query
    })
}

// 查询好友管理详细
export function getUserContacts(id) {
    return request({
        url: '/service/userContacts/' + id,
        method: 'get'
    })
}

// 手动触发从IM导入好友
export function triggerIMImport(userId) {
    return request({
        url: '/service/userContacts/triggerIMImport/' + userId,
        method: 'get'
    })
}

// 手动触发从数据库导入好友到IM
export function triggerSyncFromDBToIM(userId) {
    return request({
        url: '/service/userContacts/triggerSyncFromDBToIM/' + userId,
        method: 'get'
    })
}

// 新增好友管理
export function addUserContacts(data) {
    return request({
        url: '/service/userContacts',
        method: 'post',
        data: data
    })
}

// 修改好友管理
export function updateUserContacts(data) {
    return request({
        url: '/service/userContacts',
        method: 'put',
        data: data
    })
}

// 删除好友管理
export function delUserContacts(id) {
    return request({
        url: '/service/userContacts/' + id,
        method: 'delete'
    })
}
